/*	Java Phoenix Emulator v0.30
	Official Home-page: http://www.dcc.ufmg.br/~muriloq/phoenix

	Emulator by Murilo Saraiva de Queiroz (muriloq@dcc.ufmg.br) based on 
	Phoenix Emulator by Richard Davies (R.Davies@dcs.hull.ac.uk) and MAME 
	project, by Nicola Salmoria (MC6489@mclink.it) and others.

	The emulator structure, and many solutions are based in Jasper, the 
	Java Spectrum Emulator, by Adam Davidson & Andrew Pollard.
	Used with permission.
	
	The machine architecture information is from Ralph Kimmlingen
	(ub2f@rz.uni-karlsruhe.de).

*/

import java.awt.*;

class JPhoenixFrame extends Frame
{
	public JPhoenixFrame(String str)
	{
		super (str);
	}

	public boolean handleEvent(Event evt)
	{
		switch (evt.id)
		{
			case Event.WINDOW_DESTROY:
				dispose();
				System.exit(0);
				return true;
			default:
				return super.handleEvent(evt);
		}			 
	}
}
